Summary: The GNU versions of grep pattern matching utilities.
Name: grep
Version: 2.4.2
Release: 1.0.2
Copyright: GPL
Group: Applications/Text
Source: ftp://ftp.gnu.org/pub/gnu/grep/grep-%{version}.tar.gz
Patch: grep-2.4.2-i18n.patch
Prefix: %{_prefix}
Prereq: /sbin/install-info
Buildroot: /var/tmp/grep-root

%description
The GNU versions of commonly used grep utilities.  Grep searches
through textual input for lines which contain a match to a specified
pattern and then prints the matching lines.  GNU's grep utilities
include grep, egrep and fgrep.

You should install grep on your system, because it is a very useful
utility for searching through text.

%prep
%setup -q
%patch -p1 -b .i18n

%build
%configure --without-included-regex
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall LDFLAGS=-s prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%{_prefix}/bin/* $RPM_BUILD_ROOT/bin
rm -rf $RPM_BUILD_ROOT%{_prefix}/bin
gzip -9f $RPM_BUILD_ROOT%{_infodir}/grep*

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
if [ -f %{_infodir}/grep.info.gz ]; then
	/sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/grep.info.gz
fi

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/grep.info.gz
fi

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS THANKS TODO NEWS README ChangeLog
/bin/*
%doc %{_infodir}/*.info.gz
%doc %{_mandir}/*/*
%{_prefix}/share/locale/*/*/grep.*

%changelog
* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- marked *info.gz as %doc 
- made install-info conditional on existence of *info.gz

* Wed Oct 10 2000 Pete O'Hara <pete@guardiandigital.com>
- first version from RH
- minor cleanups
- add RH i18n patch
